Bug 11279 - apmscript uses insmod instead of modprobe
apmscript uses insmod instead of modprobe
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-05-07 12:25 EDT by Eric Jorgensen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-07 12:25:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Jorgensen 2000-05-07 12:25:56 EDT
Debugging the failure of sound to correctly resume on my toshiba portege
(yamaha opl3sa2) i discovered that /etc/sysconfig/apm-scripts/apmscript
uses insmod instead of modprobe to load sound modules on resume, thus
rendering impotent my sound configuration in conf.modules.

disabled sound support in /etc/sysconfig/apmd and created rudimentary
scripts to save a new aumixrc and then manually rmmod all sound modules on
suspend and then modprobe sound & midi and then load aumixrc on resume,
audio now works properly on resume.

propose that apmscript should use modprobe instead of insmod and also that
there would be an added benefit by sorting the order of the modules such
that sound and midi are probed before others -- in my case only those two
are needed - but some users may not have conf.modules fully configured
Comment 1 Bernhard Rosenkraenzer 2000-06-24 18:34:43 EDT

Note You need to log in before you can comment on or make changes to this bug.